From ae04d9f2622c7a5d50a3009c3804719c82867acd Mon Sep 17 00:00:00 2001
From: Benedikt Spranger <b.spranger@linutronix.de>
Date: Sun, 12 Oct 2014 09:38:17 +0200
Subject: [PATCH] handle events started before 1900

Signed-off-by: Benedikt Spranger <b.spranger@linutronix.de>
---
 inc/caldav-PUT-functions.php | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/inc/caldav-PUT-functions.php b/inc/caldav-PUT-functions.php
index a1c9e3d..3f1b7d4 100644
--- a/inc/caldav-PUT-functions.php
+++ b/inc/caldav-PUT-functions.php
@@ -1278,12 +1278,16 @@ function write_resource( DAVResource $resource, $caldav_data, DAVResource $colle
   if ( $first->GetType() == 'VTODO' ) $due = $first->GetPValue('DUE'); 
   $calitem_params[':due'] = $due;
   $dtstart = $first->GetPValue('DTSTART');
-  if ( empty($dtstart) ) $dtstart = $due; 
+  if ( empty($dtstart) ) $dtstart = $due;
+  if (preg_match("/^[0-9][0-9][0-9][0-9][01][0-9][0-3][0-9]$/", $dtstart))
+     $dtstart = $dtstart . "T000000Z";
   $calitem_params[':dtstart'] = $dtstart;
   
   $dtend = $first->GetPValue('DTEND');
   if ( isset($dtend) && $dtend != '' ) {
     dbg_error_log( 'PUT', ' DTEND: "%s", DTSTART: "%s", DURATION: "%s"', $dtend, $dtstart, $first->GetPValue('DURATION') );
+    if (preg_match("/^[0-9][0-9][0-9][0-9][01][0-9][0-3][0-9]$/", $dtend))
+       $dtend = $dtend . "T000000Z";
     $calitem_params[':dtend'] = $dtend;
     $dtend = ':dtend';
   }
-- 
2.1.1

